Package org.apache.wiki.plugin

# Class PageViewPlugin

java.lang.Object
org.apache.wiki.plugin.AbstractReferralPlugin
org.apache.wiki.plugin.PageViewPlugin

All Implemented Interfaces:
  `InitializablePlugin`, `Plugin`

public class PageViewPlugin extends AbstractReferralPlugin implements Plugin, InitializablePlugin
This plugin counts the number of times a page has been viewed.
Parameters:

- count=yes|no
- show=none|count|list
- entries=maximum number of list entries to be returned
- min=minimum page count to be listed
- max=maximum page count to be listed
- sort=name|count

Default values:
`show=none sort=name`

Since:
  2.8

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`PageViewPlugin.PageViewManager`
Page view manager, handling all storage.

## Field Summary

### Fields inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`ALL_ITEMS, items, m_after, m_before, m_dateFormat, m_dateLastModified, m_engine, m_exclude, m_include, m_lastModified, m_maxwidth, m_separator, m_show, m_sorter, PARAM_AFTER, PARAM_BEFORE, PARAM_COLUMNS, PARAM_EXCLUDE, PARAM_INCLUDE, PARAM_LASTMODIFIED, PARAM_MAXWIDTH, PARAM_SEPARATOR, PARAM_SHOW, PARAM_SHOW_VALUE_COUNT, PARAM_SHOW_VALUE_PAGES, PARAM_SORTORDER, PARAM_SORTORDER_HUMAN, PARAM_SORTORDER_JAVA, PARAM_SORTORDER_LOCALE`

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`PageViewPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`
`void`
`initialize(Engine engine)`
Initialize the PageViewPlugin and its singleton.

### Methods inherited from class org.apache.wiki.plugin.AbstractReferralPlugin

`applyColumnsStyle, filterAndSortCollection, filterCollection, filterWikiPageCollection, initialize, makeHTML, wikitizeCollection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageViewPlugin

public PageViewPlugin()

## Method Details

### initialize

public void initialize(Engine engine)
Initialize the PageViewPlugin and its singleton.

Specified by:
  `initialize` in interface `InitializablePlugin`
Parameters:
  `engine` - The wiki engine.

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`